Skip to main content
POST
Create Table

Authorizations

Authorization
string
header
required

An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.

Path Parameters

workspace_id
string
required
catalog_id
string
required
schema_id
string
required

Query Parameters

tableId
string
required

Body

application/json

A SQL-visible table owned by its parent schema.

spec
TableSpec · object
required

Definition used to construct this table.

name
string
default:""

Resource name in the form workspaces/{workspace}/catalogs/{catalog}/schemas/{schema}/tables/{table}.

The terminal resource ID is the SQL-visible table name.

Pattern: ^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}/schemas/[a-z][a-z0-9_]{0,62}/tables/[a-z][a-z0-9_]{0,62}$
createTime
string<date-time> | null

Time at which the table was created.

updateTime
string<date-time> | null

Time at which the table was most recently updated.

revision
integer
default:0

Monotonically increasing revision of this table definition.

revisionHash
string
default:""

Lowercase SHA-256 hash of the canonical stored table definition.

Response

Successful Response

A SQL-visible table owned by its parent schema.

name
string
required

Resource name in the form workspaces/{workspace}/catalogs/{catalog}/schemas/{schema}/tables/{table}.

The terminal resource ID is the SQL-visible table name.

Pattern: ^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}/schemas/[a-z][a-z0-9_]{0,62}/tables/[a-z][a-z0-9_]{0,62}$
spec
TableSpec · object
required

Definition used to construct this table.

createTime
string | null

Time at which the table was created.

updateTime
string | null

Time at which the table was most recently updated.

revision
string
default:0

Monotonically increasing revision of this table definition.

revisionHash
string
default:""

Lowercase SHA-256 hash of the canonical stored table definition.